> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get E-Sign Status

> Use this API to get the status of the initiated e-sign verification by passing the verification ID or reference ID that is received as a response in [Create E-Sign request API](https://www.cashfree.com/docs/api-reference/vrs/v2/e-sign/create-e-sign-request).



## OpenAPI

````yaml get /esignature
openapi: 3.0.0
info:
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  contact:
    email: developers@cashfree.com
    name: API Support
    url: https://discord.com/invite/QdZkNSxXsB
  title: Cashfree Verification API's.
  version: '2023-12-18'
  description: >-
    Cashfree's Verification APIs provide different types of verification to our
    merchants.
servers:
  - description: Sandbox Server
    url: https://sandbox.cashfree.com/verification
  - description: Production Server
    url: https://api.cashfree.com/verification
security: []
tags:
  - name: Aadhaar
    description: Operations related to Aadhaar verification.
  - name: BAV V2
    description: Operations related to Bank account verification v2.
  - name: PAN
    description: Operations related to PAN verification.
  - name: Digilocker
    description: Operations related to Digilocker verification.
  - name: E-sign
    description: Operations related to E-sign verification.
  - name: Reverse Penny Drop
    description: Operations related to Reverse Penny Drop verification.
  - name: UPI Penny Drop
    description: Operations related to UPI Penny Drop verification.
  - name: Mobile Penny Drop
    description: Operations related to Mobile Penny Drop verification.
  - name: IP
    description: Operation related to IP verification.
  - name: UPI
    description: Operations related to UPI verification.
  - name: Passport
    description: Operation related to Passport verification.
  - name: CIN
    description: Operation related to CIN verification.
  - name: Name Match
    description: Operation related to Name Match verification.
  - name: PAN to GSTIN
    description: Operation related to PAN to GSTIN.
  - name: Face Match
    description: Operation related to Face Match verification.
  - name: Voter ID
    description: Operation related to Voter ID verification.
  - name: Reverse Geocoding
    description: Operation related to Reverse Geocoding.
  - name: Vehicle RC
    description: Operation related to Vehicle RC verification.
  - name: Driving License
    description: Operation related to Driving License verification.
  - name: GSTIN
    description: Operation related to GSTIN verification.
  - name: Account Aggregator
    description: Operations related to Account aggregator.
  - name: OTPLess
    description: Operations related to OTPLess Verification.
  - name: 1-Click
    description: Operations related to 1-Click.
  - name: Smart OCR
    description: Operations related to Smart OCR.
  - name: Geocoding
    description: Operations related to Geocoding.
  - name: Udyam
    description: Operation related to Udyam verification.
  - name: PAN to Udyam
    description: Operation related to PAN to Udyam.
paths:
  /esignature:
    get:
      tags:
        - E-sign
      summary: Get E-Sign Status
      description: >-
        Use this API to get the status of the initiated e-sign verification by
        passing the verification ID or reference ID that is received as a
        response in [Create E-Sign request
        API](https://www.cashfree.com/docs/api-reference/vrs/v2/e-sign/create-e-sign-request).
      operationId: VrsESignVerificationFetchStatus
      parameters:
        - $ref: '#/components/parameters/x_cf_signature'
        - name: reference_id
          in: query
          description: >-
            It is the unique ID created by Cashfree Payments that you receive in
            the response of Create E-Sign Request API.

            format: `int64`
          example: 54321
          schema:
            type: integer
            default: 54321
        - name: verification_id
          in: query
          description: >-
            It is the unique ID you create to identify the Create E-Sign Request
            API.
          example: ABC00123
          schema:
            type: string
            default: ABC00123
      responses:
        '200':
          $ref: '#/components/responses/ESignVerificationGetStatusResponse'
        '400':
          $ref: '#/components/responses/Response400ESignVerificationGetStatus'
        '401':
          $ref: '#/components/responses/Response401'
        '403':
          $ref: '#/components/responses/Response403'
        '422':
          $ref: '#/components/responses/Response422'
        '429':
          $ref: '#/components/responses/Response429'
        '500':
          $ref: '#/components/responses/Response500'
      security:
        - XClientID: []
          XClientSecret: []
components:
  parameters:
    x_cf_signature:
      description: >-
        Send the signature if two-factor authentication is selected as Public
        Key.  [More
        details](https://www.cashfree.com/docs/api-reference/vrs/getting-started#2fa-api-signature-generation).
      name: x-cf-signature
      in: header
      required: false
      schema:
        type: string
      example: ''
  responses:
    ESignVerificationGetStatusResponse:
      description: Success response for retrieving the status of an e-signature request.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ESignVerificationGetStatusResponseSchema'
          examples:
            IN_PROGRESS:
              value:
                status: IN_PROGRESS
                reference_id: 32
                verification_id: ESTestVERID34
                document_id: 36
                signers:
                  - name: John Doe
                    status: SUCCESS
                    is_notified: true
                    meta_data:
                      name: John Doe
                      gender: M
                      year_of_birth: '1990'
                      postal_code: '560012'
                      state: Karnataka
                      country: India
                      serial_number: ABC123456789
                      ip_address: 192.168.1.1
                      latitude: '12.9716'
                      longitude: '77.5946'
                      signing_time: '2023-10-01T12:00:00Z'
                      aadhaar_last_four_digit: '1234'
                  - name: Frank Kelvin
                    status: SIGN_IN_PROGRESS
                    is_notified: true
                    meta_data:
                      name: null
                      gender: null
                      year_of_birth: null
                      postal_code: null
                      state: null
                      country: null
                      serial_number: null
                      ip_address: null
                      latitude: null
                      longitude: null
                      signing_time: null
                      aadhaar_last_four_digit: null
                signed_doc_url: SIGNED_DOC_URL
            SUCCESS:
              value:
                status: SUCCESS
                reference_id: 32
                verification_id: ABC00123
                document_id: 36
                signers:
                  - name: John Doe
                    status: SUCCESS
                    is_notified: true
                    meta_data:
                      name: John Doe
                      gender: M
                      year_of_birth: '1990'
                      postal_code: '560012'
                      state: Karnataka
                      country: India
                      serial_number: ABC123456789
                      ip_address: 192.168.1.1
                      latitude: '12.9716'
                      longitude: '77.5946'
                      signing_time: '2023-10-01T12:00:00Z'
                      aadhaar_last_four_digit: '1234'
                  - name: Frank Kelvin
                    status: SUCCESS
                    is_notified: true
                    meta_data:
                      name: Frank Kelvin
                      gender: M
                      year_of_birth: '1990'
                      postal_code: '560012'
                      state: Karnataka
                      country: India
                      serial_number: ABC123456789
                      ip_address: 192.168.1.1
                      latitude: '12.9716'
                      longitude: '77.5946'
                      signing_time: '2023-10-01T12:00:00Z'
                      aadhaar_last_four_digit: '4567'
                signed_doc_url: SIGNED_DOC_URL
            EXPIRED:
              value:
                status: EXPIRED
                reference_id: 32
                verification_id: ABC00123
                document_id: 36
                signers:
                  - name: John Doe
                    status: EXPIRED
                    is_notified: true
                    meta_data:
                      name: null
                      gender: null
                      year_of_birth: null
                      postal_code: null
                      state: null
                      country: null
                      serial_number: null
                      ip_address: null
                      latitude: null
                      longitude: null
                      signing_time: null
                      aadhaar_last_four_digit: null
                  - name: Frank Kelvin
                    status: RECEIVED
                    is_notified: false
                    meta_data:
                      name: null
                      gender: null
                      year_of_birth: null
                      postal_code: null
                      state: null
                      country: null
                      serial_number: null
                      ip_address: null
                      latitude: null
                      longitude: null
                      signing_time: null
                      aadhaar_last_four_digit: null
                signed_doc_url: ''
            FAILURE:
              value:
                status: FAILURE
                reference_id: 32
                verification_id: ABC00123
                document_id: 36
                signers:
                  - name: John Doe
                    status: SUCCESS
                    is_notified: true
                    meta_data:
                      name: John Doe
                      gender: M
                      year_of_birth: '1990'
                      postal_code: '560012'
                      state: Karnataka
                      country: India
                      serial_number: ABC123456789
                      ip_address: 192.168.1.1
                      latitude: '12.9716'
                      longitude: '77.5946'
                      signing_time: '2023-10-01T12:00:00Z'
                      aadhaar_last_four_digit: '1234'
                  - name: Frank Kelvin
                    status: FAILURE
                    is_notified: false
                    meta_data:
                      name: null
                      gender: null
                      year_of_birth: null
                      postal_code: null
                      state: null
                      country: null
                      serial_number: null
                      ip_address: null
                      latitude: null
                      longitude: null
                      signing_time: null
                      aadhaar_last_four_digit: null
                signed_doc_url: SIGNED_DOC_URL
    Response400ESignVerificationGetStatus:
      description: Validation errors for Get E-Sign Status API.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Request Params Missing:
              $ref: '#/components/examples/RequestParamsMissing'
            Client ID/Client Secret in Missing:
              $ref: '#/components/examples/XClientIdMissing'
            Using-Test-Credentials-in-Prod:
              $ref: '#/components/examples/UsingTestCredentialsInProd'
    Response401:
      description: Invalid client ID and client secret combination.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Invalid client ID and client secret combination:
              value:
                type: authentication_error
                code: authentication_failed
                message: Invalid clientId and clientSecret combination
    Response403:
      description: Authentication error (IP not whitelisted).
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            IP not whitelisted:
              value:
                type: authentication_error
                code: ip_validation_failed
                message: >-
                  IP not whitelisted your current ip is 106.51.91.104.For IP
                  whitelisting assistance, visit our guide at
                  https://www.cashfree.com/docs/secure-id/get-started/integration/ip-whitelisting-verification
            x-cf-signature header missing:
              value:
                type: validation_error
                code: authentication_failed
                message: x-cf-signature missing in the request header
    Response422:
      description: >-
        Validation error because of insufficient balance to process this
        request.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Insufficient balance:
              value:
                type: validation_error
                code: insufficient_balance
                message: Insufficient balance to process this request
    Response429:
      description: Rate limit exceed error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Rate limit error per operation:
              value:
                type: rate_limit_error
                code: too_many_requests_per_operation
                message: Too many requests for this operation, rate limit reached
            Rate limit error per IP:
              value:
                type: rate_limit_error
                code: too_many_requests_per_ip
                message: Too many requests from the IP, rate limit reached
    Response500:
      description: Internal error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Internal Server Error:
              value:
                type: internal_error
                code: request_failed
                message: Unable to process your request. Try again after some time
  schemas:
    ESignVerificationGetStatusResponseSchema:
      type: object
      example:
        value:
          status: IN_PROGRESS
          reference_id: 32
          verification_id: ESTestVERID34
          document_id: 36
          signers:
            - name: John Doe
              status: SUCCESS
              is_notified: true
              meta_data:
                name: John Doe
                gender: M
                year_of_birth: '1990'
                postal_code: '560012'
                state: Karnataka
                country: India
                serial_number: ABC123456789
                ip_address: 192.168.1.1
                latitude: '12.9716'
                longitude: '77.5946'
                signing_time: '2023-10-01T12:00:00Z'
                aadhaar_last_four_digit: '1234'
            - name: Frank Kelvin
              status: SIGN_IN_PROGRESS
              is_notified: true
              meta_data:
                name: null
                gender: null
                year_of_birth: null
                postal_code: null
                state: null
                country: null
                serial_number: null
                ip_address: null
                latitude: null
                longitude: null
                signing_time: null
                aadhaar_last_four_digit: null
          signed_doc_url: SIGNED_DOC_URL
      properties:
        status:
          type: string
          description: >-
            It displays the status of the e-signature. Possible values are: -
            `IN_PROGRESS`: Signing process is initiated. - `SUCCESS`: All the
            signers signed successfully. - `EXPIRED`: Signing window expired. -
            `FAILURE`: Error occured during signing the document.
          example: IN_PROGRESS
        reference_id:
          type: integer
          description: >-
            It displays the unique ID created by Cashfree Payments for reference
            purposes.

            format: `int64`
          example: 32
        verification_id:
          type: string
          description: >-
            It displays the unique ID created by you to identify the API
            request.
          example: ABC00123
        document_id:
          type: integer
          description: >-
            It displays the unique ID created by Cashfree Payments to identify
            the uploaded document.
          example: 36
        signers:
          type: array
          description: It contains the details of the signer(s).
          items:
            type: object
            properties:
              name:
                type: string
                description: It displays the name of the signer.
                example: John Doe
              status:
                type: string
                description: >-
                  It displays the signature status of the signer. Possible
                  values are: - `RECEIVED`: Signer's signing request registered.
                  Singning link is not provided yet. - `IN_PROGRESS`: Signing
                  process is initiated. - `SUCCESS`: The signer has signed
                  successfully. - `EXPIRED`: Signing window expired. -
                  `FAILURE`: Error occured during signing the document.
                example: SUCCESS
              is_notified:
                type: boolean
                description: >-
                  It displays whether the signer is informed of the e-signature.
                  of the document.
                example: true
              meta_data:
                type: object
                description: Signer metadata for e-signature.
                properties:
                  name:
                    type: string
                    description: It displays the name of the signer.
                    example: John Doe
                  gender:
                    type: string
                    description: Gender of signer.
                    example: M
                  year_of_birth:
                    type: string
                    description: Year of birth of signer.
                    example: '1990'
                  postal_code:
                    type: string
                    description: Pincode of the signer as per Aadhaar.
                    example: '560012'
                  state:
                    type: string
                    description: State of the signer as per Aadhaar.
                    example: Karnataka
                  country:
                    type: string
                    description: Country of the signer as per Aadhaar.
                    example: India
                  serial_number:
                    type: string
                    description: Serial number of the e-sign certification.
                    example: ABC123456789
                  ip_address:
                    type: string
                    description: IP address of the signer.
                    example: 192.168.1.1
                  latitude:
                    type: string
                    description: Latitude of the signer.
                    example: '12.9716'
                  longitude:
                    type: string
                    description: Longitude of the signer.
                    example: '77.5946'
                  signing_time:
                    type: string
                    description: Time when the signer signed the document.
                    example: '2023-10-01T12:00:00Z'
                  aadhaar_last_four_digit:
                    type: string
                    description: Last four digits of the signer's Aadhaar number.
                    example: '1234'
          example:
            - name: John Doe
              status: RECEIVED
              is_notified: false
              meta_data:
                name: null
                gender: null
                year_of_birth: null
                postal_code: null
                state: null
                country: null
                serial_number: null
                ip_address: null
                latitude: null
                longitude: null
                signing_time: null
                aadhaar_last_four_digit: null
            - name: John Snow
              status: SIGN_INITIATED
              is_notified: true
              meta_data:
                name: null
                gender: null
                year_of_birth: null
                postal_code: null
                state: null
                country: null
                serial_number: null
                ip_address: null
                latitude: null
                longitude: null
                signing_time: null
                aadhaar_last_four_digit: null
            - name: Frank Kelvin
              status: SIGN_IN_PROGRESS
              is_notified: true
              meta_data:
                name: null
                gender: null
                year_of_birth: null
                postal_code: null
                state: null
                country: null
                serial_number: null
                ip_address: null
                latitude: null
                longitude: null
                signing_time: null
                aadhaar_last_four_digit: null
            - name: John Cena
              status: SUCCESS
              is_notified: true
              meta_data:
                name: John Doe
                gender: M
                year_of_birth: '1990'
                postal_code: '560012'
                state: Karnataka
                country: India
                serial_number: ABC123456789
                ip_address: 192.168.1.1
                latitude: '12.9716'
                longitude: '77.5946'
                signing_time: '2023-10-01T12:00:00Z'
                aadhaar_last_four_digit: '1234'
            - name: John Frank
              status: FAILURE
              is_notified: true
              meta_data:
                name: null
                gender: null
                year_of_birth: null
                postal_code: null
                state: null
                country: null
                serial_number: null
                ip_address: null
                latitude: null
                longitude: null
                signing_time: null
                aadhaar_last_four_digit: null
            - name: Frank Doe
              status: EXPIRED
              is_notified: true
              meta_data:
                name: null
                gender: null
                year_of_birth: null
                postal_code: null
                state: null
                country: null
                serial_number: null
                ip_address: null
                latitude: null
                longitude: null
                signing_time: null
                aadhaar_last_four_digit: null
        signed_doc_url:
          type: string
          description: It displays the link to the signed document.
          example: SIGNED_DOC_URL
    ErrorResponseSchema:
      type: object
      properties:
        code:
          type: string
          example: x-client-id_missing
        error:
          type: object
          example:
            ref_id: 102
        message:
          type: string
          example: x-client-id is missing in the request.
          description: It displays the outcome of the error.
        type:
          type: string
          example: validation_error
          description: It displays the type of error.
  examples:
    RequestParamsMissing:
      value:
        type: validation_error
        code: invalid_request
        message: Please provide verification_id or reference_id
    XClientIdMissing:
      value:
        type: validation_error
        code: x-client-id_missing
        message: x-client-id is missing in the request.
    UsingTestCredentialsInProd:
      value:
        type: validation_error
        code: x-client-secret_value_invalid
        message: Client secret belongs to test environment
  securitySchemes:
    XClientID:
      type: apiKey
      in: header
      name: x-client-id
      description: >-
        Your unique client identifier issued by Cashfree. You can find this in
        your [Merchant
        Dashboard](https://merchant.cashfree.com/verificationsuite/developers/api-keys).
    XClientSecret:
      type: apiKey
      in: header
      name: x-client-secret
      description: >-
        The secret key associated with your client ID. Use this to authenticate
        your API requests. You can find this in your [Merchant
        Dashboard](https://merchant.cashfree.com/verificationsuite/developers/api-keys).

````